﻿@*@using EnergyMission
<div class="second-menu">
    <h3>Listing of sensors</h3>
</div>
<div class="examples">
    <div id="testDivNested">
        <div class="gray_bg">
            <div class="white_inner">

                @using EnergyMission



                @Html.DevExpress().GridView(settings =>
         {
    GridViewSettingsHelper.GridViewSettingsDefaults("gvSettingsSensor", "Sensors", Ajax, Html, ViewContext, settings);

    //Columns for the grid

    settings.Columns.Add("Name");
    settings.Columns.Add("DataFeed");
    settings.Columns.Add("SensorType");

}).Bind(Model).GetHtml()
            </div>
        </div>
    </div>
</div>*@


@using EnergyMission
@Html.DevExpress().GridView(settings =>
{

    GridViewSettingsHelper.GridViewSettingsDefaults("gvSettingSensors", "Sensors", Ajax, Html, ViewContext, settings);
    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
    settings.SettingsPager.Mode = GridViewPagerMode.ShowAllRecords;
    settings.Columns.Add("Name");
    settings.Columns.Add("DataFeed");
    settings.Columns.Add("SensorType");


    //});
    settings.Columns.Add(column =>
    {
        //column.FieldName = "Id";

        column.SetDataItemTemplateContent(c =>
        {
           
            Html.DevExpress().HyperLink(hsettings =>
            {
                hsettings.Name = c.KeyValue.ToString();
                hsettings.Properties.ClientSideEvents.Click = "function(s,e){MyFunction(" + DataBinder.Eval(c.DataItem, "Id").ToString() + " ,'');}";
                hsettings.Properties.Text = "Edit";
            }).Render();
            ViewContext.Writer.Write(

                 Ajax.ActionLink("Delete", "Deletesensore", "Sensors",
                        new
                        {
                            Id = DataBinder.Eval(c.DataItem, "Id"),
                            @style = "color:#eb4d4e"
                        },
                        new AjaxOptions
                        {
                            Confirm = "Delete this record?",
                            HttpMethod = "DELETE",
                            OnSuccess = "OnSuccess(data, 'gvSettingSensors')"
                        }) + "&nbsp;"

               );

            ViewContext.Writer.Write(String.Format("<div class='popup'> <span class='status'>Verification Status</span><ul> <li><i class='fa fa-long-arrow-left'></i> Request Verification</li><li><i class='fa fa-check'></i> Varified</li><li><i class='fa fa-close'></i> Not Varified</li></ul></div>"));



        });
    });

}).Bind(Model).GetHtml()

@*<li><i class='fa fa-long-arrow-right'></i> Awaiting Response</li>*@








